# shm_put_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_put_var — Insère ou modifie une variable de la mémoire partagée

### Description

shm_put_var(SysvSharedMemory `$shm`, int `$key`, mixed `$value`): bool

shm_put_var() insère ou modifie la variable `value` avec la clé `key` dans le segment de mémoire `shm`.

Des alertes (niveau `E_WARNING`) seront émises si `shm` n'est pas un segment de mémoire type System V valide, ou s'il n'y a pas assez de mémoire pour votre requête.

### Liste de paramètres

`shm`

  Un segment de mémoire partagée obtenue depuis shm_attach().

`key`

  La clé de la variable.

`value`

  La variable. Tous les types de variables supportés par la fonction serialize() peuvent être utilisés : cela signifie que tous les types, sauf les ressources et quelques objets internes, peuvent être sérialisés.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.0.0 | `shm` attend une instance de SysvSharedMemory désormais; auparavant, une resource était attendue.

### Voir aussi

- shm_get_var() - Lit une variable dans la mémoire partagée
- shm_has_var() - Vérifie si une variable existe en mémoire partagée